Berechtigungen funktionieren nicht

Ich habe einige seltsame Probleme mit der Erlaubnis in Android. Ich versuche, nur eine Liste der Google Kalender zu bekommen, die ein bestimmter Benutzer hat, aber zuerst muss ich sie das Konto auswählen lassen.

Ich habe diese Zeile in mein Manifest aufgenommen:

  • Foto hochladen auf Facebook mit Facebook Android SDK in Android
  • AppInvites "Install" Link öffnet die App nicht
  • Wie kann ich den Cursor von einem CursorLoader auffrischen?
  • Android PhoneGap, um eine neue Aktivität zu öffnen
  • Wie kann man die Android-Tastatur mit dem Symbolmodus standardmäßig anzeigen?
  • Android - Animierte Statusleiste anzeigen
  • <uses-permission android:name="android.permission.GET_ACCOUNTS"></uses-permission> 

    Allerdings bekomme ich diesen Fehler:

     12-26 03:26:31.004 13841 13841 E AndroidRuntime: java.lang.RuntimeException: Unable to start activity ComponentInfo{....}: java.lang.SecurityException: caller uid 10105 lacks any of android.permission.GET_ACCOUNTS 

    Ich hatte etwas Ähnliches mit dem Zugriff auf die undokumentierte Kalender-API mit READ_CALENDAR und WRITE_CALENDAR , aber ich hatte ähnliche Ausnahmen (obwohl wahrscheinlich aus verschiedenen Gründen – ich dachte, es könnte erwähnenswert sein, falls es nicht war).

    Bitte klopfe mich an, was ich falsch mache!

    Vielen Dank!

  • Android TabLayout zeigt den Inhalt nicht mehr an, sobald das Fragment umgeschaltet wird
  • Android: Erfassen der Rückkehr einer Aktivität
  • ändern checkbox hintergrund farbe in android
  • Wie bekomme ich Sampling-Rate und Häufigkeit der Musik-Datei (MP3) in Android?
  • Kann ich die Status-Bar-Benachrichtigungen mit dem Test-Framework von Android testen?
  • JDBC-Verbindung in Android
  • 2 Solutions collect form web for “Berechtigungen funktionieren nicht”

    Entweder ist Ihr <uses-permission> an der falschen Stelle (sollte ein Kind von <manifest> und ein Peer von <application> ) oder GET_ACCOUNTS ist keine Berechtigung, die SDK-Anwendungen halten können. Die Dokumentation ist einzigartig müde über die Angabe, welche Berechtigungen sind und nicht für SDK-Anwendungen geeignet sind.

    Hatte das gleiche Problem auch, änderte die Ziel-SDK-Version in der AndroidManifest.xml zu einer höheren Version (19). In meinem Fall war die Ziel-SDK-Version im Manifest 17, was gleich Android 4.2.2 ist, was wiederum die Version auf meinem HTC One abgestimmt hat. Doch nach dem Ändern funktionierte das Phonegap Plugin für Kontakte.

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.